10
CLS
COLOR 7
INPUT "выберите вариант    1-матрица    2-время    3-Флаг"; x
PRINT "ты выбрал "; x
   CLS
   COLOR 4
   LOCATE 13, 35
   PRINT "Загрузка."
   SLEEP 1
   LOCATE 13, 35
   PRINT "Загрузка.."
   SLEEP 1
   LOCATE 13, 35
   PRINT "Загрузка..."
   SLEEP 1
   LOCATE 13, 35
   PRINT "Загрузка...."
   SLEEP 1
   LOCATE 13, 35
   PRINT "Загрузка....."
   SLEEP 1
IF x = 1 THEN GOTO 1
IF x = 2 THEN GOTO 2
IF x = 3 THEN GOTO 55 ELSE GOTO 0
55
   CLS
   SCREEN 9
   LINE (80, 50)-(560, 130), 15, BF
   LINE (80, 130)-(560, 210), 1, BF
   LINE (80, 210)-(560, 290), 4, BF
   LOCATE 3, 39
   PRINT "Флаг РФ"
  SLEEP 0
  GOTO 33
1
     CLS
     COLOR 2
99
     PRINT "1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0"
     PRINT "0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1"
     GOTO 99

2

COLOR 2
88    ON TIMER(1) GOSUB TU
    TIMER ON
    CLS
    LOCATE 13, 30
    PRINT "Текущее время: "; TIME$
    StartTime = TIMER
    WHILE TimePast < 10
        TimePast = TIMER - StartTime
    WEND
    END

TU:
        LOCATE 1, 7: PRINT TIME$
        GOTO 88
33
END
0
CLS
LOCATE 13, 35
PRINT "FATAL ERROR"
SLEEP 5
LOCATE 13, 35
PRINT "press any key"
SLEEP 0
GOTO 10

